﻿import es
import popuplib
import random
import gamethread
import cfglib
import langlib
import playerlib

config = cfglib.AddonCFG(es.getAddonPath("starwars") + "/settings.cfg")
config.text("**************************")
config.text("Addon Settings")
config.text("**************************")
config.text(" ")
config.text("*****************************************************************************")
config.text("Configuration: General Settings\n//\n//Desc : Configure the general settings the mod uses")
config.text("*****************************************************************************")
sw_jediModeEnabled = config.cvar("sw_jediModeEnabled",   1, "1 Enable / 0 Disable Jedi Mod (Allows Users to use Yoda and Darth Vader)")
sw_bobaJetsEnabled = config.cvar("bobaJetsEnabled",   1, "1 = Enable Boba Fetts Jetpack 0 = Disable it")
sw_randomclasses  = config.cvar("sw_randomclasses",   1, "1 = When The users have no classes selceted there will be set a random one/ 0 = Disable it")
effecttype = config.cvar("effecttype",   'effects/laser1.vmt', "Here you can set the Laser model")
sw_showmenuoneveryspawn = config.cvar("sw_showmenuoneveryspawn",   0, "1 = Shows the Class menu on every spawn/ 0 = Disable it")
sw_bobaJetstime = config.cvar("sw_bobaJetstime",   5, "Set the Time how long the Jetpack can be used")
sw_weaponSoundsEnabled = config.cvar("sw_weaponSoundsEnabled",   1, "1 = Enable Weapon Sounds 0 = Disable it")
sw_charSoundsEnabled = config.cvar("sw_charSoundsEnabled",   1, " 1 = Allow Death Sounds / 0 = Disable it")
sw_lasers_enabled  = config.cvar("sw_lasers_enabled",   1, "1 = Allow Laser 0 = Disable it")
sw_jabbaLaughEnabled  = config.cvar("sw_jabbaLaughEnabled",   1, "1 = Allow Jabba to laught after Bomb explode / 0 Disable it")
sw_more_damage_for_jedi = config.cvar("sw_more_damage_for_jedi",   1, "1 = Allows Jedis to do more damage by lightsaber (knife)")
sw_jedi_damage_by_knife = config.cvar("sw_jedi_damage_by_knife",  10, "Set the Value of Damage when jedi is hitting a player with lightsaber(knife)")
sw_admins = config.cvar("sw_admins", "STEAM_0:1:11481373,STEAM_0:1:12345678", "Set the Admins (split by comma if you want to add more)")
sw_jetpack_force = config.cvar("sw_jetpack_force", "!jetpack", "Set the Command with that Boba fett useres can open jetpack menu.")
sw_admin_force = config.cvar("sw_admin_force", "!swadmin", "Set the Command with that Admins can open Admin menu.")
sw_force_command = config.cvar("sw_force_command", "!swmenu", "Set the Command with that Users can open Class menu.")
sw_restricted_rebel  = config.cvar("sw_restricted_rebel",   'scout;awp;glock', "This Weapons are only restricted for the Rebel class (Split the Weapons with ;)")
sw_restricted_wookie  = config.cvar("sw_restricted_wookie",   'awp', "This Weapons are only restricted for the Wookie class (Split the Weapons with ;)")
sw_restricted_jawa  = config.cvar("sw_restricted_jawa",   'm4a1', "This Weapons are only restricted for the Jawa class (Split the Weapons with ;)")
sw_restricted_tuske = config.cvar("sw_restricted_tuske",   'ak47', "This Weapons are only restricted for the Tuske class (Split the Weapons with ;)")
sw_restricted_c3po = config.cvar("sw_restricted_c3po",   'deagle', "This Weapons are only restricted for the C3PO class (Split the Weapons with ;)")
sw_restricted_yoda  = config.cvar("sw_restricted_yoda",   'usp', "This Weapons are only restricted for the Yoda class (Split the Weapons with ;)")
sw_restricted_storm  = config.cvar("sw_restricted_storm",   'glock', "This Weapons are only restricted for the Stormtooper class (Split the Weapons with ;)")
sw_restricted_snow  = config.cvar("sw_restricted_snow",   'awp', "This Weapons are only restricted for the Snowtrooper class (Split the Weapons with ;)")
sw_restricted_rodian  = config.cvar("sw_restricted_rodian",   'scout', "This Weapons are only restricted for the Rodian class (Split the Weapons with ;)")
sw_restricted_officer  = config.cvar("sw_restricted_officer",   'awp', "This Weapons are only restricted for the Officer class (Split the Weapons with ;)")
sw_restricted_boba  = config.cvar("sw_restricted_boba",   'scout', "This Weapons are only restricted for the Boba Fett class (Split the Weapons with ;)")
sw_restricted_vader  = config.cvar("sw_restricted_vader",   'scout', "This Weapons are only restricted for the Vader class (Split the Weapons with ;)")
sw_rebel_health = config.cvar("sw_rebel_health",   110, "Here you can set the Health of the Rebel Class")
sw_rebel_speed = config.cvar("sw_rebel_speed",   1.7, "Here you can set the Speed of the Rebel Class (From 0.1 to 1.9)")
sw_rebel_armor = config.cvar("sw_rebel_armor",   100, "Here you can set the Armor of the Rebel Class")
sw_rebel_giveweapons = config.cvar("sw_rebel_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_wookie_health = config.cvar("sw_wookie_health",   110, "Here you can set the Health of the Wookie Class")
sw_wookie_speed = config.cvar("sw_wookie_speed",   1.7, "Here you can set the Speed of the Wookie Class (From 0.1 to 1.9)")
sw_wookie_armor = config.cvar("sw_wookie_armor",   100, "Here you can set the Armor of the Wookie Class")
sw_wookie_giveweapons = config.cvar("sw_wookie_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_jawa_health = config.cvar("sw_jawa_health",   110, "Here you can set the Health of the Jawa Class")
sw_jawa_speed = config.cvar("sw_jawa_speed",   1.7, "Here you can set the Speed of the Jawa Class (From 0.1 to 1.9)")
sw_jawa_armor = config.cvar("sw_jawa_armor",   100, "Here you can set the Armor of the Jawa Class")
sw_jawa_giveweapons = config.cvar("sw_jawa_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_tuske_health = config.cvar("sw_tuske_health",   110, "Here you can set the Health of the Tuske Class")
sw_tuske_speed = config.cvar("sw_tuske_speed",   1.7, "Here you can set the Speed of the Tuske Class (From 0.1 to 1.9)")
sw_tuske_armor = config.cvar("sw_tuske_armor",   100, "Here you can set the Armor of the Tuske Class")
sw_tuske_giveweapons = config.cvar("sw_tuske_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_c3po_health = config.cvar("sw_c3po_health",   110, "Here you can set the Health of the C3PO Class")
sw_c3po_speed = config.cvar("sw_c3po_speed",   1.7, "Here you can set the Speed of the C3PO Class (From 0.1 to 1.9)")
sw_c3po_armor = config.cvar("sw_c3po_armor",   100, "Here you can set the Armor of the C3PO Class")
sw_c3po_giveweapons = config.cvar("sw_c3po_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_yoda_health = config.cvar("sw_yoda_health",   110, "Here you can set the Health of the Yoda Class")
sw_yoda_speed = config.cvar("sw_yoda_speed",   1.7, "Here you can set the Speed of the Yoda Class (From 0.1 to 1.9)")
sw_yoda_armor = config.cvar("sw_yoda_armor",   100, "Here you can set the Armor of the Yoda Class")
sw_yoda_giveweapons = config.cvar("sw_yoda_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_storm_health = config.cvar("sw_storm_health",   110, "Here you can set the Health of the Stormtrooper Class")
sw_storm_speed = config.cvar("sw_storm_speed",   1.7, "Here you can set the Speed of the Stormtrooper Class (From 0.1 to 1.9)")
sw_storm_armor = config.cvar("sw_storm_armor",   100, "Here you can set the Armor of the Stromtrooper Class")
sw_storm_giveweapons = config.cvar("sw_storm_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_snow_health = config.cvar("sw_snow_health",   110, "Here you can set the Health of the Snowtrooper Class")
sw_snow_speed = config.cvar("sw_snow_speed",   1.7, "Here you can set the Speed of the Snowtrooper Class (From 0.1 to 1.9)")
sw_snow_armor = config.cvar("sw_snow_armor",   100, "Here you can set the Armor of the Snowtrooper Class")
sw_snow_giveweapons = config.cvar("sw_snow_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_rodian_health = config.cvar("sw_rodian_health",   110, "Here you can set the Health of the Rodian Class")
sw_rodian_speed = config.cvar("sw_rodian_speed",   1.7, "Here you can set the Speed of the Rodian Class (From 0.1 to 1.9)")
sw_rodian_armor = config.cvar("sw_rodian_armor",   100, "Here you can set the Armor of the Rodian Class")
sw_rodian_giveweapons = config.cvar("sw_rodian_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_officer_health = config.cvar("sw_officer_health",   110, "Here you can set the Health of the Officer Class")
sw_officer_speed = config.cvar("sw_officer_speed",   1.7, "Here you can set the Speed of the Officer Class (From 0.1 to 1.9)")
sw_officer_armor = config.cvar("sw_officer_armor",   100, "Here you can set the Armor of the Officer Class")
sw_officer_giveweapons = config.cvar("sw_officer_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_boba_health = config.cvar("sw_boba_health",   110, "Here you can set the Health of the Boba Class")
sw_boba_speed = config.cvar("sw_boba_speed",   1.7, "Here you can set the Speed of the Boba Class (From 0.1 to 1.9)")
sw_boba_armor = config.cvar("sw_boba_armor",   100, "Here you can set the Armor of the Boba Class")
sw_boba_giveweapons = config.cvar("sw_boba_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_vader_health = config.cvar("sw_vader_health",   110, "Here you can set the Health of the Vader Class")
sw_vader_speed = config.cvar("sw_vader_speed",   1.7, "Here you can set the Speed of the Vader Class (From 0.1 to 1.9)")
sw_vader_armor = config.cvar("sw_vader_armor",   100, "Here you can set the Armor of the Vader Class")
sw_vader_giveweapons = config.cvar("sw_vader_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")

config.write()

################################Addon Infos##########################################
info = es.AddonInfo()                                                               #
info.name          = 'StarWars:Source'                                              #
info.version       = '1.3 C'                                                        #
info.basename      = 'sw_mod'                                                       #
info.url           = 'http://addons.eventscripts.com/addons/view/starwarssource'    #
info.author        = 'RoOF'                                                         #
es.ServerVar(info.basename, info.version, 'StarWars:Source').makepublic()           #
#####################################################################################

#####No EDIT HERE !


wanted_empire = {}          
empire_model_features = {}  
rebel_model_features = {}   
classname_dict = {}         
wanted_rebel = {}           
restrictedList_1 = []       
restrictedList_2 = []       
restrictedList_3 = []       
restrictedList_4 = []       
restrictedList_5 = []
restrictedList_6 = []
restrictedList_7 = []
restrictedList_8 = []
restrictedList_9 = []
restrictedList_10 = []
restrictedList_11 = []
restrictedList_12 = []


rebelsoldiermodel = 'models/player/b4p/b4p_rebel/b4p_rebel.mdl'
wookiemodel = 'models/player/b4p/b4p_chewbacca/b4p_chewbacca.mdl'
jawamodel = 'models/player/b4p/b4p_jawa/b4p_jawa.mdl'
tuskenmodel = 'models/player/b4p/b4p_tusken/b4p_tusken.mdl'
c3pomodel = 'models/player/b4p/b4p_c3po/b4p_c3po.mdl'
yodamodel = 'models/player/b4p/b4p_yoda/b4p_yoda.mdl'

stormtroopermodel = 'models/player/b4p/b4p_stormt/b4p_stormt.mdl'
snowtroopermodel = 'models/player/b4p/b4p_snowtrooper/b4p_snowtrooper.mdl'
rodianmodel = 'models/player/b4p/b4p_rodian/b4p_rodian.mdl'
officermodel = 'models/player/b4p/b4p_imperial/b4p_imperial.mdl'
bobamodel = 'models/player/b4p/b4p_bobafett/b4p_bobafett.mdl'
vadermodel = 'models/player/b4p/b4p_vader/b4p_vader.mdl'

restrictedList_1 = str(sw_restricted_rebel).split(';')
restrictedList_2 = str(sw_restricted_wookie).split(';')
restrictedList_3 = str(sw_restricted_jawa).split(';')
restrictedList_4 = str(sw_restricted_tuske).split(';')
restrictedList_5 = str(sw_restricted_c3po).split(';')
restrictedList_6 = str(sw_restricted_yoda).split(';')
restrictedList_7 = str(sw_restricted_storm).split(';')
restrictedList_8 = str(sw_restricted_snow).split(';')
restrictedList_9 = str(sw_restricted_rodian).split(';')
restrictedList_10 = str(sw_restricted_officer).split(';')
restrictedList_11 = str(sw_restricted_boba).split(';')
restrictedList_12 = str(sw_restricted_vader).split(';')	



def load():
	global text
	download()
	es.doblock("corelib/noisy_on")
	config.execute()
	text = langlib.Strings(es.getAddonPath("starwars") + "/strings.ini")
	es.addons.registerClientCommandFilter(restrict)
	for userid in es.getUseridList():
		disableAutokick(userid)

def unload():
	es.doblock("corelib/noisy_off")
	empire_model_features.clear()
	rebel_model_features.clear()
	wanted_empire.clear()
	wanted_empire.clear()
	classname_dict.clear()
	del restrictedList_1[:]      
	del restrictedList_2[:]      
	del restrictedList_3[:]      
	del restrictedList_4[:]       
	del restrictedList_5[:]
	del restrictedList_6[:]
	del restrictedList_7[:]
	del restrictedList_8[:]
	del restrictedList_9[:]
	del restrictedList_10[:]
	del restrictedList_11[:]
	del restrictedList_12[:]
	es.addons.unregisterClientCommandFilter(restrict)

def player_activate(ev):
	disableAutokick(int(ev['userid']))

def disableAutokick(userid):
	es.server.mp_disable_autokick(userid)
	
def es_map_start(ev):
	download()

	
def jetpackMenu(userid):
	global jetPopup
	if popuplib.exists('jetPopup'):
		popuplib.delete('jetPopup') 
	jetPopup = popuplib.create('jetPopup')
	jetPopup.addline('Boba Fetts Jetpack\nMenu:')
	jetPopup.addline(' ')
	if playerlib.getPlayer(userid).get('jetpack') == 0:
		jetPopup.addline('->1. [Enable] Jetpack')
	else:
		jetPopup.addline('1. [Enable] Jetpack')
	if playerlib.getPlayer(userid).get('jetpack') == 1:
		jetPopup.addline('->2. [Disable] Jetpack')
	else:
		jetPopup.addline('2. [Disable] Jetpack')
	jetPopup.addline(' ')
	jetPopup.addline('0. Exit')
	jetPopup.send(int(userid))
	jetPopup.menuselect = jetPopup_select

def rebelMenuShow(userid, steam):
	global rebelPopup
	if popuplib.exists('rebelPopup'):
		popuplib.delete('rebelPopup') 
	rebelPopup = popuplib.create('rebelPopup')
	rebelPopup.addline('Choose a Class (Rebel):')
	rebelPopup.addline(' ')
	if rebel_model_features.has_key(steam):
		rebelPopup.addline('Your Current Class is: %s'% classname_dict[userid])
	rebelPopup.addline(' ')
	rebelPopup.addline('->1. Rebel Soldier')
	rebelPopup.addline('->2. Wookie')
	rebelPopup.addline('->3. Jawa')
	rebelPopup.addline('->4. Tusken Raider')
	rebelPopup.addline('->5. C3PO')
	if sw_jediModeEnabled == 1:
		rebelPopup.addline('->6. Yoda')
	rebelPopup.addline(' ')
	rebelPopup.addline('0. Exit')
	rebelPopup.send(int(userid))
	rebelPopup.menuselect = rebelPopup_select
	
	
def adminMenu(userid, steam):
	global check1, adminPopup,check2,check3,check4,check5,check6,check7,check8,sw_jediModeEnabled,sw_bobaJetsEnabled,sw_randomclasses,sw_showmenuoneveryspawn,sw_weaponSoundsEnabled,sw_charSoundsEnabled,sw_lasers_enabled,sw_jabbaLaughEnabled
	if popuplib.exists('adminPopup'):
		popuplib.delete('adminPopup') 
	adminPopup = popuplib.create('adminPopup')
	adminPopup.addline('Admin Menu:')
	adminPopup.addline(' ')
	if sw_jediModeEnabled == 1:
		adminPopup.addline('->1. Disable Jedi Mode')
		check1 = 1
	else:
		check1 = 0
		adminPopup.addline('->1. Enable Jedi Mode')
	if sw_bobaJetsEnabled == 1:
		check2 = 1
		adminPopup.addline('->2. Disable Bobas Jet')
	else:
		check2 = 0
		adminPopup.addline('->2. Enable Bobas Jet')
	if sw_randomclasses == 1:
		check3 = 1
		adminPopup.addline('->3. Disable RandomClasses')
	else:
		check3 = 0
		adminPopup.addline('->3. Disable RandomClasses')
	if sw_showmenuoneveryspawn  == 1:
		check4 = 1
		adminPopup.addline('->4. Disable Menu Show on Spawn')
	else:
		check4 = 0
		adminPopup.addline('->4. Disable Menu Show on Spawn')
	if  sw_weaponSoundsEnabled == 1:
		check5 = 1
		adminPopup.addline('->5. Disable Weaponsounds')
	else:
		check5 = 0
		adminPopup.addline('->5. Enable Weaponsounds')
	if  sw_charSoundsEnabled == 1:
		check6 = 1
		adminPopup.addline('->6. Disable Death Sounds')
	else:
		check6 = 0
		adminPopup.addline('->6. Enable Death Sounds')
	if sw_lasers_enabled == 1:
		check7 = 1
		adminPopup.addline('->7. Disable Laser')
	else:
		check7 = 0
		adminPopup.addline('->7. Enable Laser')
	if sw_jabbaLaughEnabled  == 1:
		check8 = 1
		adminPopup.addline('->8. Disable Jabbas Laught')
	else:
		check8 = 0
		adminPopup.addline('->8. Enable Jabbas Laught')
	adminPopup.addline(' ')
	adminPopup.addline('0. Exit')
	adminPopup.send(userid)
	adminPopup.menuselect = adminPopup_select
	
def adminPopup_select(userid, choice, popupid):
	global check1,check2,check3,check4,check5,check6,check7,check8,sw_jediModeEnabled,sw_bobaJetsEnabled,sw_randomclasses,sw_showmenuoneveryspawn,sw_weaponSoundsEnabled,sw_charSoundsEnabled,sw_lasers_enabled,sw_jabbaLaughEnabled
	player = playerlib.getPlayer(userid)
	if choice == 1:
		if check1 == 1:
			sw_jediModeEnabled = 0
			es.msg('#multi', text('admin1',{},player.get('lang')))
		else:
			sw_jediModeEnabled = 1
			es.msg('#multi', text('admin2',{},player.get('lang')))
	elif choice == 2:
		if check2 == 1:
			sw_bobaJetsEnabled = 0
			es.msg('#multi', text('admin3',{},player.get('lang')))
		else:
			sw_bobaJetsEnabled = 1
			es.msg('#multi', text('admin4',{},player.get('lang')))
	elif choice == 3:
		if check3  == 1:
			sw_randomclasses = 0
			es.msg('#multi', text('admin5',{},player.get('lang')))
		else:
			sw_randomclasses = 1
			es.msg('#multi', text('admin6',{},player.get('lang')))
	elif choice == 4:
		if check4 == 1:
			sw_showmenuoneveryspawn  = 0
			es.msg('#multi', text('admin7',{},player.get('lang')))
		else:
			sw_showmenuoneveryspawn  = 1
			es.msg('#multi', text('admin8',{},player.get('lang')))
	elif choice == 5:
		if  check5 == 1:
			sw_weaponSoundsEnabled = 0
			es.msg('#multi', text('admin9',{},player.get('lang')))
		else:
			sw_weaponSoundsEnabled = 1
			es.msg('#multi', text('admin10',{},player.get('lang')))
	elif choice == 6:
		if  check6 == 1:
			sw_charSoundsEnabled = 0
			es.msg('#multi', text('admin11',{},player.get('lang')))
		else:
			sw_charSoundsEnabled = 1
			es.msg('#multi', text('admin12',{},player.get('lang')))
	elif choice == 7:
		if check7 == 1:
			sw_lasers_enabled = 0
			es.msg('#multi', text('admin13',{},player.get('lang')))
		else:
			sw_lasers_enabled = 1
			es.msg('#multi', text('admin14',{},player.get('lang')))
	elif choice == 8:
		if check8 == 1:
			sw_jabbaLaughEnabled = 0
			es.msg('#multi', text('admin15',{},player.get('lang')))
		else:
			sw_jabbaLaughEnabled = 1
			es.msg('#multi', text('admin16',{},player.get('lang')))

	
	
def empireMenuShow(userid, steam):
	global empirePopup
	if popuplib.exists('empirePopup'):
		popuplib.delete('empirePopup') 
	empirePopup = popuplib.create('empirePopup')
	empirePopup.addline('Choose a Class (Empire):')
	empirePopup.addline(' ')
	if empire_model_features.has_key(steam):
		empirePopup.addline('Your Current Class is: %s'% classname_dict[userid])
	empirePopup.addline(' ')
	empirePopup.addline('->1. Storm Trooper')
	empirePopup.addline('->2. Snow Trooper')
	empirePopup.addline('->3. Rodian')
	empirePopup.addline('->4. Imperial Officer')
	empirePopup.addline('->5. Boba Fett')
	if sw_jediModeEnabled == 1:
		empirePopup.addline('->6. Darth Vader')
	empirePopup.addline(' ')
	empirePopup.addline('0. Exit')
	empirePopup.send(int(userid))
	empirePopup.menuselect = empirePopup_select
	

def drop(userid):
	gamethread.delayed(.1, es.server.queuecmd, 'es_xfire %s player_weaponstrip kill' % userid)
	gamethread.delayed(.1, es.server.queuecmd, 'es_xgive %s player_weaponstrip' % userid)
	gamethread.delayed(.1, es.server.queuecmd, 'es_xfire %s player_weaponstrip strip' % userid)
	
	
def rebelPopup_select(userid, choice, popupid):
	steam = es.getplayersteamid(userid)
	player = playerlib.getPlayer(userid)
	if not wanted_rebel.has_key(steam):
		wanted_rebel[steam] = 0
	if not rebel_model_features.has_key(steam):
		rebel_model_features[steam] = 0
	if choice == 1:
		wanted_rebel[steam] = rebelsoldiermodel
		classname_dict[userid] = 'Rebel'
		rebel_model_features[steam] = 1
		change_skin_rebel(userid,steam)
		drop(userid)
		for h in str(sw_rebel_giveweapons).split(','):
			es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 2:
		wanted_rebel[steam] = wookiemodel
		classname_dict[userid] = 'Wookie'
		rebel_model_features[steam] = 2
		change_skin_rebel(userid,steam)
		drop(userid)
		for h in str(sw_wookie_giveweapons).split(','):
			es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 3:
		wanted_rebel[steam] = jawamodel
		classname_dict[userid] = 'Jawa'
		rebel_model_features[steam] = 3
		change_skin_rebel(userid,steam)
		drop(userid)
		for h in str(sw_jawa_giveweapons).split(','):
			es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 4:
		wanted_rebel[steam] = tuskenmodel
		classname_dict[userid] = 'Tuske'
		rebel_model_features[steam] = 4
		change_skin_rebel(userid,steam)
		drop(userid)
		for h in str(sw_tuske_giveweapons).split(','):
			es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 5:
		wanted_rebel[steam] = c3pomodel
		classname_dict[userid] = 'C3PO'
		rebel_model_features[steam] = 5
		change_skin_rebel(userid,steam)
		drop(userid)
		for h in str(sw_c3po_giveweapons).split(','):
			es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 6:
		if sw_jediModeEnabled == 1:
			wanted_rebel[steam] = yodamodel
			classname_dict[userid] = 'Yoda'
			rebel_model_features[steam] = 6
			change_skin_rebel(userid,steam)
			drop(userid)
			for h in str(sw_yoda_giveweapons).split(','):
				es.delayed(0.4,'es_xgive %s %s' % (userid, h))
			es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))

def empirePopup_select(userid, choice, popupid):
	player = playerlib.getPlayer(userid)
	steam = es.getplayersteamid(userid)
	if not wanted_empire.has_key(steam):
		wanted_empire[steam] = 0
	if not empire_model_features.has_key(steam):
		empire_model_features[steam] = 0
	if choice == 1:
		wanted_empire[steam] = stormtroopermodel
		classname_dict[userid] = 'Stormtrooper'
		empire_model_features[steam] = 1
		change_skin_empire(userid,steam)
		drop(userid)
		for h in str(sw_storm_giveweapons).split(','):
			es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 2:
		wanted_empire[steam] = snowtroopermodel
		classname_dict[userid] = 'Snowtrooper'
		empire_model_features[steam] = 2
		change_skin_empire(userid,steam)
		drop(userid)
		for h in str(sw_snow_giveweapons).split(','):
			es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 3:
		wanted_empire[steam] = rodianmodel
		classname_dict[userid] = 'Rodian'
		empire_model_features[steam] = 3
		change_skin_empire(userid,steam)
		drop(userid)
		for h in str(sw_rodian_giveweapons).split(','):
			es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 4:
		wanted_empire[steam] = officermodel
		classname_dict[userid] = 'Officer'
		empire_model_features[steam] = 4
		change_skin_empire(userid,steam)
		drop(userid)
		for h in str(sw_officer_giveweapons).split(','):
			es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 5:
		wanted_empire[steam] = bobamodel
		classname_dict[userid] = 'Boba Fett'
		empire_model_features[steam] = 5
		change_skin_empire(userid,steam)
		drop(userid)
		for h in str(sw_boba_giveweapons).split(','):
			es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 6:
		if sw_jediModeEnabled == 1:
			wanted_empire[steam] = vadermodel
			classname_dict[userid] = 'Vader'
			empire_model_features[steam] = 6
			change_skin_empire(userid,steam)
			drop(userid)
			for h in str(sw_vader_giveweapons).split(','):
				es.delayed(0.4,'es_xgive %s %s' % (userid, h))
			es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
			
def jetPopup_select(userid, choice, popupid):
	player = playerlib.getPlayer(userid)
	if choice == 1:
		if player.get('jetpack') == 0:
			player.set('jetpack', 1)
			es.emitsound("player", userid, "sw/weapons/boba/bf_flame.mp3", 1.0, 0.5)
			jetpackMenu(userid)
		else:
			jetpackMenu(userid)
	elif choice == 2:
		if player.get('jetpack') == 1:
			player.set('jetpack', 0)
			jetpackMenu(userid)
		else:
			jetpackMenu(userid)


	
def change_skin_rebel(userid, steam):
	player = playerlib.getPlayer(userid)
	if rebel_model_features.has_key(steam):
		playerlib.getPlayer(userid).setModel(wanted_rebel[steam])
		if sw_jediModeEnabled == 0:
			if rebel_model_features.has_key(steam):
				if rebel_model_features[steam] == 6:
					randomclasshb = random.randint(1, 5)
					if randomclasshb == 1:
						rebel_model_features[steam] = 1
						wanted_rebel[steam] = rebelsoldiermodel
						classname_dict[userid] = 'Rebel'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclasshb == 2:
						rebel_model_features[steam] = 2
						wanted_rebel[steam] = wookiemodel
						classname_dict[userid] = 'Wookie'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclasshb == 3:
						rebel_model_features[steam] = 3
						wanted_rebel[steam] = jawamodel
						classname_dict[userid] = 'Jawa'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclasshb == 4:
						rebel_model_features[steam] = 4
						wanted_rebel[steam] = tuskenmodel
						classname_dict[userid] = 'Tuske'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclasshb == 5:
						rebel_model_features[steam] = 5
						wanted_rebel[steam] = c3pomodel
						classname_dict[userid] = 'C3PO'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))

def player_hurt(ev):
	steam = ev['es_attackersteamid']
	userid = int(ev['userid'])
	attacker = int(ev['attacker'])
	player = playerlib.getPlayer(attacker)
	if sw_more_damage_for_jedi == 1:
		if ev['weapon'] == 'knife':
			if rebel_model_features.has_key(steam):
				if rebel_model_features[steam] == 6:
					playerlib.getPlayer(userid).health -= int(sw_jedi_damage_by_knife)
					es.tell(attacker, '#multi', text('moredmg1',{'v1': sw_jedi_damage_by_knife},player.get('lang')))
					es.tell(userid, '#multi', text('moredmg2',{'v1': sw_jedi_damage_by_knife},playerlib.getPlayer(userid).get('lang')))
			if empire_model_features.has_key(steam):
				if empire_model_features[steam] == 6:
					playerlib.getPlayer(userid).health -= int(sw_jedi_damage_by_knife)
					es.tell(attacker, '#multi', text('moredmg1',{'v1': sw_jedi_damage_by_knife},player.get('lang')))
					es.tell(userid, '#multi', text('moredmg2',{'v1': sw_jedi_damage_by_knife},playerlib.getPlayer(userid).get('lang')))
	
def change_skin_empire(userid, steam):
	player = playerlib.getPlayer(userid)
	if empire_model_features.has_key(steam):
		playerlib.getPlayer(userid).setModel(wanted_empire[steam])
		if sw_jediModeEnabled == 0:
			if empire_model_features.has_key(steam):
				if empire_model_features[steam] == 6:
					randomclassch = random.randint(1, 5)
					if randomclassch == 1:
						empire_model_features[steam] = 1
						wanted_empire[steam] = stormtroopermodel
						classname_dict[userid] = 'Stormtrooper'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclassch == 2:
						empire_model_features[steam] = 2
						wanted_empire[steam] = snowtroopermodel
						classname_dict[userid] = 'Snowtrooper'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclassch == 3:
						empire_model_features[steam] = 3
						wanted_empire[steam] = rodianmodel 
						classname_dict[userid] = 'Rodian'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclassch == 4:
						empire_model_features[steam] = 4
						wanted_empire[steam] = officermodel
						classname_dict[userid] = 'Officer'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclassch == 5:
						empire_model_features[steam] = 5
						wanted_empire[steam] = bobamodel
						classname_dict[userid] = 'Boba Fett'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))

					
	
def player_disconnect(ev):
	steam = ev['networkid']
	userid = int(ev['userid'])
	if empire_model_features.has_key(steam):
		del empire_model_features[steam]
	if rebel_model_features.has_key(steam):
		del rebel_model_features[steam]
	if wanted_empire.has_key(steam):
		del wanted_empire[steam]
	if wanted_empire.has_key(steam):
		del wanted_empire[steam]
	if classname_dict.has_key(userid):
		del classname_dict[userid]
	
			
def weapon_fire(ev):
	global weaponvector
	userid = int(ev['userid'])
	if ev['weapon'] == 'knife':
		if sw_weaponSoundsEnabled == 1:
			randomknifesound = random.randint(1, 4)
			if randomknifesound == 1:
				es.emitsound("player", userid, "sw/weapons/saber/saberhup1.mp3", 1.0, 0.5)
			elif randomknifesound == 2:
				es.emitsound("player", userid, "sw/weapons/saber/saberhup2.mp3", 1.0, 0.5)
			elif randomknifesound == 3:
				es.emitsound("player", userid, "sw/weapons/saber/saberhup3.mp3", 1.0, 0.5)
			elif randomknifesound == 4:
				es.emitsound("player", userid, "sw/weapons/saber/saberhup4.mp3", 1.0, 0.5)
	x,y,z = es.getplayerlocation(userid)
	if es.getplayerprop(userid, 'CBasePlayer.localdata.m_Local.m_bDucked') % 2:
		z = z + 44
	else:
		z = z + 64
	weaponvector = es.createvectorstring(x,y,z)
	
def player_death(ev):
	userid = int(ev['userid'])
	steam = ev['es_steamid']
	if sw_charSoundsEnabled == 1:
		if rebel_model_features.has_key(steam):
			if rebel_model_features[steam] == 2:
				soundchew1 = random.randint(1, 3)
				if soundchew1 == 1:
					es.emitsound("player", userid, "sw/char/chewbacca/death1.mp3", 1.0, 0.5)
				elif soundchew1 == 2:
					es.emitsound("player", userid, "sw/char/chewbacca/death2.mp3", 1.0, 0.5)
				elif soundchew1 == 3:
					es.emitsound("player", userid, "sw/char/chewbacca/death3.mp3", 1.0, 0.5)
			elif rebel_model_features[steam] == 3:
				soundjawa1 = random.randint(1, 3)
				if soundjawa1 == 1:
					es.emitsound("player", userid, "sw/char/jawa/death1.mp3", 1.0, 0.5)
				elif soundjawa1 == 2:
					es.emitsound("player", userid, "sw/char/jawa/death2.mp3", 1.0, 0.5)
				elif soundjawa1 == 3:
					es.emitsound("player", userid, "sw/char/jawa/death3.mp3", 1.0, 0.5)
			elif rebel_model_features[steam] == 4:
				soundtus1 = random.randint(1, 2)
				if soundtus1 == 1:
					es.emitsound("player", userid, "sw/char/tusken/death1.mp3", 1.0, 0.5)
				elif soundtus1 == 2:
					es.emitsound("player", userid, "sw/char/tusken/death2.mp3", 1.0, 0.5)
		if int(ev['headshot']):
			if rebel_model_features.has_key(steam):
				if rebel_model_features[steam] == 2:
					soundchew2 = random.randint(1, 2)
					if soundchew2 == 1:
						es.emitsound("player", userid, "sw/char/chewbacca/taunt.mp3", 1.0, 0.5)
					elif soundchew2 == 2:
						es.emitsound("player", userid, "sw/char/chewbacca/victory1.mp3", 1.0, 0.5)
				elif rebel_model_features[steam] == 3:
					soundjawa2 = random.randint(1, 3)
					if soundjawa2 == 1:
						es.emitsound("player", userid, "sw/char/jawa/jawa1.wav", 1.0, 0.5)
					elif soundjawa2 == 2:
						es.emitsound("player", userid, "sw/char/jawa/victory2.mp3", 1.0, 0.5)
				elif rebel_model_features[steam] == 4:
					soundtus2 = random.randint(1, 2)
					if soundtus2 == 1:
						es.emitsound("player", userid, "sw/char/yoda/anger1.mp3", 1.0, 0.5)
					elif soundtus2 == 2:
						es.emitsound("player", userid, "sw/char/yoda/anger2.mp3", 1.0, 0.5)
				elif rebel_model_features[steam] == 6:
					soundjod = random.randint(1, 2)
					if soundjod == 1:
						es.emitsound("player", userid, "sw/char/yoda/laugh1.wav", 1.0, 0.5)
					elif soundjod == 2:
						es.emitsound("player", userid, "sw/char/yoda/laugh2.wav", 1.0, 0.5)
					
def bullet_impact(ev):
	global SoundPlayed, weaponvector
	userid = int(ev['userid'])
	team = es.getplayerteam(userid)
	steam = ev['es_steamid']
	SoundPlayed = 0
	if empire_model_features.has_key(steam):
		if sw_weaponSoundsEnabled == 1:
			if empire_model_features[steam] == 6:
				randomsound1 = random.randint(1, 4)
				if randomsound1 == 1:
					es.emitsound("player", userid, "sw/weapons/force/lightning.mp3", 1.0, 0.5)
				elif randomsound1 == 2:
					es.emitsound("player", userid, "sw/weapons/force/lightninghit1.mp3", 1.0, 0.5)
				elif randomsound1 == 3:
					es.emitsound("player", userid, "sw/weapons/force/lightninghit2.mp3", 1.0, 0.5)
				elif randomsound1 == 4:
					es.emitsound("player", userid, "sw/weapons/force/lightninghit3.mp3", 1.0, 0.5)
				SoundPlayed = 1
	if rebel_model_features.has_key(steam):
		if sw_weaponSoundsEnabled == 1:
			if rebel_model_features[steam] == 6:
				randomsound2 = random.randint(1, 4)
				if randomsound2 == 1:
					es.emitsound("player", userid, "sw/weapons/force/lightning.mp3", 1.0, 0.5)
				elif randomsound2 == 2:
					es.emitsound("player", userid, "sw/weapons/force/lightninghit1.mp3", 1.0, 0.5)
				elif randomsound2 == 3:
					es.emitsound("player", userid, "sw/weapons/force/lightninghit2.mp3", 1.0, 0.5)
				elif randomsound2 == 4:
					es.emitsound("player", userid, "sw/weapons/force/lightninghit3.mp3", 1.0, 0.5)
				SoundPlayed = 1
	if SoundPlayed != 1:
		if sw_weaponSoundsEnabled == 1:
			randomsound3 = random.randint(1, 4)
			if randomsound3 == 1:
				es.emitsound("player", userid, "sw/weapons/blaster/fire.mp3", 1.0, 0.5)
			elif randomsound3 != 1:
				es.emitsound("player", userid, "sw/weapons/blaster/alt_fire.mp3", 1.0, 0.5)			
	weaponvector2 = es.createvectorstring(ev["x"],ev["y"],ev["z"])
	premodel = es.precachemodel(effecttype)
	if sw_lasers_enabled == 1:
		if team == 3:
			es.server.queuecmd("es_effect beam %s %s %s %s 0 0.2 0.1 6 6 0 0 0 0 255 255 100" % (weaponvector, weaponvector2, premodel, premodel))
		elif team == 2:
			es.server.queuecmd("es_effect beam %s %s %s %s  0 0.2 0.1 6 6 0 0 255 0 0 255 100" % (weaponvector, weaponvector2, premodel, premodel))
	
			
def player_team(ev):
	userid = int(ev['userid'])
	team = es.getplayerteam(int(userid))
	steam = es.getplayersteamid(userid)
	if team == 2:
		rebelMenuShow(userid, steam)
		if empire_model_features.has_key(steam):
			del empire_model_features[steam]
	if team == 3:
		empireMenuShow(userid, steam)
		if rebel_model_features.has_key(steam):
			del rebel_model_features[steam]

			
def bomb_beginplant(ev):
	userid = int(ev['userid'])
	steam = ev['es_steamid']
	if rebel_model_features.has_key(steam):
		if rebel_model_features[steam] == 2:
			es.emitsound("player", userid, "sw/char/chewbacca/chewbacca1.wav", 1.0, 0.5)
		elif rebel_model_features[steam] == 3:
			es.emitsound("player", userid, "sw/char/jawa/chatter2.mp3", 1.0, 0.5)
		elif rebel_model_features[steam] == 4:
			es.emitsound("player", userid, "sw/char/tusken/confuse1.mp3", 1.0, 0.5)
		
		
def restrict(userid, args):
	steam = es.getplayersteamid(userid)
	if args[0].lower() == "buy":
		if rebel_model_features.has_key(steam):
			if rebel_model_features[steam] == 1:
				if args[1].lower() in restrictedList_1:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Rebel', 'v2': args[1].upper()},playerlib.getPlayer(userid).get('lang')))
					return False
			elif rebel_model_features[steam] == 2:
				if args[1].lower() in restrictedList_2:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Wookie', 'v2': args[1].upper()},playerlib.getPlayer(userid).get('lang')))
					return False
			elif rebel_model_features[steam] == 3:
				if args[1].lower() in restrictedList_3:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Jawa', 'v2': args[1].upper()},playerlib.getPlayer(userid).get('lang')))
					return False
			elif rebel_model_features[steam] == 4:
				if args[1].lower() in restrictedList_4:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Tuske', 'v2': args[1].upper()},playerlib.getPlayer(userid).get('lang')))
					return False
			elif rebel_model_features[steam] == 5:
				if args[1].lower() in restrictedList_5:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'C3PO', 'v2': args[1].upper()},playerlib.getPlayer(userid).get('lang')))
					return False
			elif rebel_model_features[steam] == 6:
				if args[1].lower() in restrictedList_6:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Joda', 'v2': args[1].upper()},playerlib.getPlayer(userid).get('lang')))
					return False
		if wanted_empire.has_key(steam):
			if empire_model_features[steam] == 1:
				if args[1].lower() in restrictedList_7:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Stormtrooper', 'v2': args[1].upper()},playerlib.getPlayer(userid).get('lang')))
					return False
			elif empire_model_features[steam] == 2:
				if args[1].lower() in restrictedList_8:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Snowtrooper', 'v2': args[1].upper()},playerlib.getPlayer(userid).get('lang')))
					return False
			elif empire_model_features[steam] == 3:
				if args[1].lower() in restrictedList_9:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Rodian', 'v2': args[1].upper()},playerlib.getPlayer(userid).get('lang')))
					return False
			elif empire_model_features[steam] == 4:
				if args[1].lower() in restrictedList_10:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Officer', 'v2': args[1].upper()},playerlib.getPlayer(userid).get('lang')))
					return False
			elif empire_model_features[steam] == 5:
				if args[1].lower() in restrictedList_11:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Boba', 'v2': args[1].upper()},playerlib.getPlayer(userid).get('lang')))
					return False
			elif empire_model_features[steam] == 6:
				if args[1].lower() in restrictedList_12:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Vader', 'v2': args[1].upper()},playerlib.getPlayer(userid).get('lang')))
					return False
	return True
	
def item_pickup(ev):
	item = ev['item']
	steam = ev['es_steamid']
	userid = int(ev['userid'])
	player = playerlib.getPlayer(userid)
	if rebel_model_features.has_key(steam):
		if rebel_model_features[steam] == 1:
			if item in restrictedList_1:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Rebel', 'v2': item.upper()},playerlib.getPlayer(userid).get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.queuecmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 2:
			if item in restrictedList_2:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Wookie', 'v2': item.upper()},playerlib.getPlayer(userid).get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.queuecmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 3:
			if item in restrictedList_3:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Jawa', 'v2': item.upper()},playerlib.getPlayer(userid).get('lang')))
					index = player.getWeaponIndex(item)
					if index:
						es.server.queuecmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 4:
			if item in restrictedList_4:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Tuske', 'v2': item.upper()},playerlib.getPlayer(userid).get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.queuecmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 5:
			if item in restrictedList_5:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'C3PO', 'v2': item.upper()},playerlib.getPlayer(userid).get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.queuecmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 6:
			if item in restrictedList_6:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Joda', 'v2': item.upper()},playerlib.getPlayer(userid).get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.queuecmd('es_xremove %s'% index)
	if empire_model_features.has_key(steam):
		if empire_model_features[steam] == 1:
			if item in restrictedList_7:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Stormtrooper', 'v2': item.upper()},playerlib.getPlayer(userid).get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.queuecmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 2:
			if item in restrictedList_8:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Snowtrooper', 'v2': item.upper()},playerlib.getPlayer(userid).get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.queuecmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 3:
			if item in restrictedList_9:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Rodian', 'v2': item.upper()},playerlib.getPlayer(userid).get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.queuecmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 4:
			if item in restrictedList_10:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Officer', 'v2': item.upper()},playerlib.getPlayer(userid).get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.queuecmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 5:
			if item in restrictedList_11:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Boba', 'v2': item.upper()},playerlib.getPlayer(userid).get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.queuecmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 6:
			if item in restrictedList_12:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Vader', 'v2': item.upper()},playerlib.getPlayer(userid).get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.queuecmd('es_xremove %s'% index)

	
def bomb_planted(ev):
	userid = int(ev['userid'])
	steam = ev['es_steamid']
	if rebel_model_features.has_key(steam):
		if rebel_model_features[steam] == 2:
			es.emitsound("player", userid, "sw/char/chewbacca/taunt.mp3", 1.0, 0.5)
		elif rebel_model_features[steam] == 3:
			es.emitsound("player", userid, "sw/char/jawa/victory2.mp3", 1.0, 0.5)
		elif rebel_model_features[steam] == 4:
			es.emitsound("player", userid, "sw/char/tusken/taunt.mp3", 1.0, 0.5)
		elif rebel_model_features[steam] == 6:
			es.emitsound("player", userid, "sw/char/yoda/laugh1.wav", 1.0, 0.5)

def bomb_exploded(ev):
	if sw_jabbaLaughEnabled == 1:
		for userid in es.getUseridList():
			gamethread.delayed(1, es.playsound,(userid, 'sw/char/jabba/laugh1.wav', 1.0))
			
def player_say(ev):
	userid = int(ev['userid'])
	team = es.getplayerteam(userid)
	steam = es.getplayersteamid(userid)
	text = ev['text']
	player = playerlib.getPlayer(userid)
	if text == sw_force_command:
		if team == 2:
			rebelMenuShow(userid, steam)
		if team == 3:
			empireMenuShow(userid, steam)
	if text == sw_admin_force:
		if steam in str(sw_admins).split(','):
			adminMenu(userid, steam)
		else:
			es.tell(userid, '#multi', text('notallowed',{},player.get('lang')))
	if text == sw_jetpack_force:
		if steam in empire_model_features:
			if empire_model_features[steam] == 5:
				jetpackMenu(userid)

	

def player_spawn(ev):
	userid = int(ev['userid'])
	steam = ev['es_steamid']
	team = es.getplayerteam(userid)
	player = playerlib.getPlayer(userid)
	if team == 2:
		if wanted_rebel.has_key(steam):
			change_skin_rebel(userid ,steam)
			if sw_showmenuoneveryspawn == 1:
				rebelMenuShow(userid, steam)
			if rebel_model_features.has_key(steam):
				if rebel_model_features[steam] == 1:
					classname_dict[userid] = 'Rebel'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_rebel_health
					player.speed = sw_rebel_speed
					player.armor = sw_rebel_armor
					drop(userid)
					for h in str(sw_rebel_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif rebel_model_features[steam] == 2:
					classname_dict[userid] = 'Wookie'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_wookie_health
					player.speed = sw_wookie_speed
					player.armor = sw_wookie_armor
					drop(userid)
					for h in str(sw_wookie_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif rebel_model_features[steam] == 3:
					classname_dict[userid] = 'Jawa'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_jawa_health
					player.speed = sw_jawa_speed
					player.armor = sw_jawa_armor
					drop(userid)
					for h in str(sw_jawa_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif rebel_model_features[steam] == 4:
					classname_dict[userid] = 'Tuske'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_tuske_health
					player.speed = sw_tuske_speed
					player.armor = sw_tuske_armor
					drop(userid)
					for h in str(sw_tuske_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif rebel_model_features[steam] == 5:
					classname_dict[userid] = 'C3PO'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_c3po_health
					player.speed = sw_c3po_speed
					player.armor = sw_c3po_armor
					drop(userid)
					for h in str(sw_c3po_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				if sw_jediModeEnabled == 1:
					if rebel_model_features[steam] == 6:
						classname_dict[userid] = 'Yoda'
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_yoda_health
						player.speed = sw_yoda_speed
						player.armor = sw_yoda_armor
						drop(userid)
						for h in str(sw_yoda_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		else:
			if sw_randomclasses == 1:
				randomclass1 = random.randint(1, 6)
				if randomclass1 == 1:
					rebel_model_features[steam] = 1
					wanted_rebel[steam] = rebelsoldiermodel
					classname_dict[userid] = 'Rebel'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_rebel_health
					player.speed = sw_rebel_speed
					player.armor = sw_rebel_armor
					drop(userid)
					for h in str(sw_rebel_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass1 == 2:
					rebel_model_features[steam] = 2
					wanted_rebel[steam] = wookiemodel
					classname_dict[userid] = 'Wookie'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_wookie_health
					player.speed = sw_wookie_speed
					player.armor = sw_wookie_armor
					drop(userid)
					for h in str(sw_wookie_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass1 == 3:
					rebel_model_features[steam] = 3
					wanted_rebel[steam] = jawamodel
					classname_dict[userid] = 'Jawa'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_jawa_health
					player.speed = sw_jawa_speed
					player.armor = sw_jawa_armor
					drop(userid)
					for h in str(sw_jawa_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass1 == 4:
					rebel_model_features[steam] = 4
					wanted_rebel[steam] = tuskenmodel
					classname_dict[userid] = 'Tuske'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_tuske_health
					player.speed = sw_tuske_speed
					player.armor = sw_tuske_armor
					drop(userid)
					for h in str(sw_tuske_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass1 == 5:
					rebel_model_features[steam] = 5
					wanted_rebel[steam] = c3pomodel
					classname_dict[userid] = 'C3PO'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_c3po_health
					player.speed = sw_c3po_speed
					player.armor = sw_c3po_armor
					drop(userid)
					for h in str(sw_c3po_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				if sw_jediModeEnabled == 1:
					if randomclass1 == 6:
						rebel_model_features[steam] = 6
						wanted_rebel[steam] = yodamodel
						classname_dict[userid] = 'Yoda'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_yoda_health
						player.speed = sw_yoda_speed
						player.armor = sw_yoda_armor
						drop(userid)
						for h in str(sw_yoda_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
			rebelMenuShow(userid, steam)	
	if team == 3:
		if wanted_empire.has_key(steam):
			change_skin_empire(userid, steam)
			if sw_showmenuoneveryspawn == 1:
				empireMenuShow(userid, steam)
			if empire_model_features.has_key(steam):
				if empire_model_features[steam] == 1:
					classname_dict[userid] = 'Stormtrooper'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_storm_health
					player.speed = sw_storm_speed
					player.armor = sw_storm_armor
					drop(userid)
					for h in str(sw_storm_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif empire_model_features[steam] == 2:
					classname_dict[userid] = 'Snowtrooper'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_snow_health
					player.speed = sw_snow_speed
					player.armor = sw_snow_armor
					drop(userid)
					for h in str(sw_snow_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif empire_model_features[steam] == 3:
					classname_dict[userid] = 'Rodian'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_rodian_health
					player.speed = sw_rodian_speed
					player.armor = sw_rodian_armor
					drop(userid)
					for h in str(sw_rodian_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif empire_model_features[steam] == 4:
					classname_dict[userid] = 'Officer'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_officer_health
					player.speed = sw_officer_speed
					player.armor = sw_officer_armor
					drop(userid)
					for h in str(sw_officer_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif empire_model_features[steam] == 5:
					classname_dict[userid] = 'Boba Fett'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_boba_health
					player.speed = sw_boba_speed
					player.armor = sw_boba_armor
					drop(userid)
					for h in str(sw_boba_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					if sw_bobaJetsEnabled  == 1:
						jetpackMenu(userid)
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_jetpack_force},player.get('lang')))
				if sw_jediModeEnabled == 1:
					if empire_model_features[steam] == 6:
						classname_dict[userid] = 'Vader'
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_vader_health
						player.speed = sw_vader_speed
						player.armor = sw_vader_armor
						drop(userid)
						for h in str(sw_vader_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		else:
			if sw_randomclasses == 1:
				randomclass2 = random.randint(1, 6)
				if randomclass2 == 1:
					empire_model_features[steam] = 1
					wanted_empire[steam] = stormtroopermodel
					classname_dict[userid] = 'Stormtrooper'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_storm_health
					player.speed = sw_storm_speed
					player.armor = sw_storm_armor
					drop(userid)
					for h in str(sw_storm_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass2 == 2:
					empire_model_features[steam] = 2
					wanted_empire[steam] = snowtroopermodel
					classname_dict[userid] = 'Snowtrooper'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_snow_health
					player.speed = sw_snow_speed
					player.armor = sw_snow_armor
					drop(userid)
					for h in str(sw_snow_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass2 == 3:
					empire_model_features[steam] = 3
					wanted_empire[steam] = rodianmodel 
					classname_dict[userid] = 'Rodian'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_rodian_health
					player.speed = sw_rodian_speed
					player.armor = sw_rodian_armor
					drop(userid)
					for h in str(sw_rodian_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass2 == 4:
					empire_model_features[steam] = 4
					wanted_empire[steam] = officermodel
					classname_dict[userid] = 'Officer'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_officer_health
					player.speed = sw_officer_speed
					player.armor = sw_officer_armor
					drop(userid)
					for h in str(sw_officer_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass2 == 5:
					empire_model_features[steam] = 5
					wanted_empire[steam] = bobamodel
					classname_dict[userid] = 'Boba Fett'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_jetpack_force},player.get('lang')))
					player.health = sw_boba_health
					player.speed = sw_boba_speed
					player.armor = sw_boba_armor
					drop(userid)
					for h in str(sw_boba_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					if sw_bobaJetsEnabled  == 1:
						jetpackMenu(userid)
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
				if sw_jediModeEnabled == 1:
					if randomclass2 == 6:
						empire_model_features[steam] = 6
						wanted_empire[steam] = vadermodel
						classname_dict[userid] = 'Vader'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_vader_health
						player.speed = sw_vader_speed
						player.armor = sw_vader_armor
						drop(userid)
						for h in str(sw_vader_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
			empireMenuShow(userid, steam)
			
def download():
	es.stringtable('downloadables','sound/sw/weapons/blaster/alt_fire.mp3')
	es.stringtable('downloadables','sound/sw/weapons/blaster/fire.mp3')
	es.stringtable('downloadables','sound/sw/weapons/saber/saberhup1.mp3')
	es.stringtable('downloadables','sound/sw/weapons/saber/saberhup2.mp3')
	es.stringtable('downloadables','sound/sw/weapons/saber/saberhup3.mp3')
	es.stringtable('downloadables','sound/sw/weapons/saber/saberhup4.mp3')
	es.stringtable('downloadables','sound/sw/weapons/boba/bf_flame.mp3')
	es.stringtable('downloadables','sound/sw/weapons/force/lightning.mp3')
	es.stringtable('downloadables','sound/sw/weapons/force/lightninghit1.mp3')
	es.stringtable('downloadables','sound/sw/weapons/force/lightninghit2.mp3')
	es.stringtable('downloadables','sound/sw/weapons/force/lightninghit3.mp3')
	es.stringtable('downloadables','sound/sw/char/chewbacca/chewbacca1.wav')
	es.stringtable('downloadables','sound/sw/char/chewbacca/death1.mp3')
	es.stringtable('downloadables','sound/sw/char/chewbacca/death2.mp3')
	es.stringtable('downloadables','sound/sw/char/chewbacca/death3.mp3')
	es.stringtable('downloadables','sound/sw/char/chewbacca/taunt.mp3')
	es.stringtable('downloadables','sound/sw/char/chewbacca/victory1.mp3')
	es.stringtable('downloadables','sound/sw/char/jawa/chatter2.mp3')
	es.stringtable('downloadables','sound/sw/char/jawa/death1.mp3')
	es.stringtable('downloadables','sound/sw/char/jawa/death2.mp3')
	es.stringtable('downloadables','sound/sw/char/jawa/death3.mp3')
	es.stringtable('downloadables','sound/sw/char/jawa/jawa1.wav')
	es.stringtable('downloadables','sound/sw/char/jawa/victory1.mp3')
	es.stringtable('downloadables','sound/sw/char/jawa/victory2.mp3')
	es.stringtable('downloadables','sound/sw/char/tusken/anger1.mp3')
	es.stringtable('downloadables','sound/sw/char/tusken/anger2.mp3')
	es.stringtable('downloadables','sound/sw/char/tusken/confuse1.mp3')
	es.stringtable('downloadables','sound/sw/char/chewbacca/chewbacca1.wav')
	es.stringtable('downloadables','sound/sw/char/chewbacca/death1.mp3')
	es.stringtable('downloadables','sound/sw/char/chewbacca/death2.mp3')
	es.stringtable('downloadables','sound/sw/char/chewbacca/death3.mp3')
	es.stringtable('downloadables','sound/sw/char/chewbacca/taunt.mp3')
	es.stringtable('downloadables','sound/sw/char/chewbacca/victory1.mp3')	
	es.stringtable('downloadables', "sound/sw/char/tusken/confuse1.mp3")
	es.stringtable('downloadables', "sound/sw/char/tusken/death1.mp3")
	es.stringtable('downloadables', "sound/sw/char/tusken/death2.mp3")
	es.stringtable('downloadables', "sound/sw/char/tusken/taunt.mp3")
	es.stringtable('downloadables', "sound/sw/char/yoda/laugh1.wav")
	es.stringtable('downloadables', "sound/sw/char/yoda/laugh2.wav")
	es.stringtable('downloadables', "sound/sw/char/jabba/laugh1.wav")
	es.stringtable('downloadables', "materials/models/player/b4p/bobafett/boba_body.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/bobafett/boba_body.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/bobafett/boba_hands.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/bobafett/boba_hands.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/bobafett/boba_head_revised.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/bobafett/boba_head_revised.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/bobafett/boba_jetpack.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/bobafett/boba_jetpack.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/c3po/c3po_arm_torso.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/c3po/c3po_arm_torso.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/c3po/c3po_face.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/c3po/c3po_face.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/c3po/c3po_hand.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/c3po/c3po_hand.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/c3po/c3po_leg.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/c3po/c3po_leg.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/chewbacca/chewbacca_1sided.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/chewbacca/chewbacca_1sided.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/chewbacca/chewbacca_2sided.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/chewbacca/chewbacca_2sided.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/chewbacca/chewbacca_body.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/chewbacca/chewbacca_body.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/chewbacca/chewbacca_head.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/chewbacca/chewbacca_head.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/chewbacca/chewbacca_sprites.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/chewbacca/chewbacca_sprites.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/basic_hand.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/basic_hand.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/boots_hips.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/boots_hips.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/face.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/face.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/head.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/head.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/mouth_eyes.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/mouth_eyes.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/officer_legs.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/officer_legs.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/officer_torso.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/imperial/officer_torso.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/jawa/jawa.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/jawa/jawa.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/jawa/jawa_eyes.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/jawa/jawa_eyes.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/jawa/jawa_hands.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/jawa/jawa_hands.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/accessories.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/accessories.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/basic_hand.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/basic_hand.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/face_01.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/face_01.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/head_01.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/head_01.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/mouth_eyes.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/mouth_eyes.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/rebel_boots.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/rebel_boots.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/rebel_legs.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/rebel_legs.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/rebel_torso.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rebel/rebel_torso.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/basic_hand.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/basic_hand.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/boots_belt_vest.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/boots_belt_vest.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/fins.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/fins.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/head.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/head.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/l_boot.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/l_boot.vtf")	
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/l_leg.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/l_leg.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/torso.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/rodian/torso.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/snowtrooper/snowtrooper_armor.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/snowtrooper/snowtrooper_armor.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/snowtrooper/snowtrooper_cape.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/snowtrooper/snowtrooper_cape.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/snowtrooper/snowtrooper_hands.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/snowtrooper/snowtrooper_hands.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/snowtrooper/snowtrooper_legs.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/snowtrooper/snowtrooper_legs.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/snowtrooper/snowtrooper_torso.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/snowtrooper/snowtrooper_torso.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/stormt/armor.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/stormt/armor.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/stormt/helmet.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/stormt/helmet.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/stormt/shoulder.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/stormt/shoulder.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/stormt/torso_legs.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/stormt/torso_legs.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/tusken/body.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/tusken/body.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/tusken/face.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/tusken/face.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/tusken/hands.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/tusken/hands.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/tusken/head.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/tusken/head.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/tusken/pockets.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/tusken/pockets.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/alnewhope.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/alnewhope.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/beltxtras.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/beltxtras.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/darthshing.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/darthshing.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/dbreather.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/dbreather.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/dcape.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/dcape.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/handhope.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/handhope.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/headhope.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/headhope.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/helmethope.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/helmethope.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/hipsvader.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/hipsvader.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/legsvader.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/legsvader.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/shoulderhope.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/shoulderhope.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/torsovader.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/torsovader.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/vaderface.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/vader/vaderface.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/yoda/yoda_body.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/yoda/yoda_body.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/yoda/yoda_body_normal.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/yoda/yoda_head.vmt")
	es.stringtable('downloadables', "materials/models/player/b4p/yoda/yoda_head.vtf")
	es.stringtable('downloadables', "materials/models/player/b4p/yoda/yoda_head_normal.vtf")
	es.stringtable('downloadables', "models/player/b4p/b4p_bobafett/b4p_bobafett.dx80.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_bobafett/b4p_bobafett.dx90.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_bobafett/b4p_bobafett.mdl")
	es.stringtable('downloadables', "models/player/b4p/b4p_bobafett/b4p_bobafett.phy")
	es.stringtable('downloadables', "models/player/b4p/b4p_bobafett/b4p_bobafett.sw.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_bobafett/b4p_bobafett.vvd")
	es.stringtable('downloadables', "models/player/b4p/b4p_c3po/b4p_c3po.dx80.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_c3po/b4p_c3po.dx90.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_c3po/b4p_c3po.mdl")
	es.stringtable('downloadables', "models/player/b4p/b4p_c3po/b4p_c3po.phy")
	es.stringtable('downloadables', "models/player/b4p/b4p_c3po/b4p_c3po.sw.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_c3po/b4p_c3po.vvd")
	es.stringtable('downloadables', "models/player/b4p/b4p_chewbacca/b4p_chewbacca.dx80.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_chewbacca/b4p_chewbacca.dx90.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_chewbacca/b4p_chewbacca.mdl")
	es.stringtable('downloadables', "models/player/b4p/b4p_chewbacca/b4p_chewbacca.phy")
	es.stringtable('downloadables', "models/player/b4p/b4p_chewbacca/b4p_chewbacca.sw.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_chewbacca/b4p_chewbacca.vvd")
	es.stringtable('downloadables', "models/player/b4p/b4p_imperial/b4p_imperial.dx80.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_imperial/b4p_imperial.dx90.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_imperial/b4p_imperial.mdl")
	es.stringtable('downloadables', "models/player/b4p/b4p_imperial/b4p_imperial.phy")
	es.stringtable('downloadables', "models/player/b4p/b4p_imperial/b4p_imperial.sw.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_imperial/b4p_imperial.vvd")
	es.stringtable('downloadables', "models/player/b4p/b4p_jawa/b4p_jawa.dx80.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_jawa/b4p_jawa.dx90.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_jawa/b4p_jawa.mdl")
	es.stringtable('downloadables', "models/player/b4p/b4p_jawa/b4p_jawa.phy")
	es.stringtable('downloadables', "models/player/b4p/b4p_jawa/b4p_jawa.sw.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_jawa/b4p_jawa.vvd")
	es.stringtable('downloadables', "models/player/b4p/b4p_rebel/b4p_rebel.dx80.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_rebel/b4p_rebel.dx90.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_rebel/b4p_rebel.mdl")
	es.stringtable('downloadables', "models/player/b4p/b4p_rebel/b4p_rebel.phy")
	es.stringtable('downloadables', "models/player/b4p/b4p_rebel/b4p_rebel.sw.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_rebel/b4p_rebel.vvd")
	es.stringtable('downloadables', "models/player/b4p/b4p_rodian/b4p_rodian.dx80.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_rodian/b4p_rodian.dx90.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_rodian/b4p_rodian.mdl")
	es.stringtable('downloadables', "models/player/b4p/b4p_rodian/b4p_rodian.phy")
	es.stringtable('downloadables', "models/player/b4p/b4p_rodian/b4p_rodian.sw.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_rodian/b4p_rodian.vvd")
	es.stringtable('downloadables', "models/player/b4p/b4p_snowtrooper/b4p_snowtrooper.dx80.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_snowtrooper/b4p_snowtrooper.dx90.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_snowtrooper/b4p_snowtrooper.mdl")
	es.stringtable('downloadables', "models/player/b4p/b4p_snowtrooper/b4p_snowtrooper.phy")
	es.stringtable('downloadables', "models/player/b4p/b4p_snowtrooper/b4p_snowtrooper.sw.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_snowtrooper/b4p_snowtrooper.vvd")
	es.stringtable('downloadables', "models/player/b4p/b4p_stormt/b4p_stormt.dx80.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_stormt/b4p_stormt.dx90.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_stormt/b4p_stormt.mdl")
	es.stringtable('downloadables', "models/player/b4p/b4p_stormt/b4p_stormt.phy")
	es.stringtable('downloadables', "models/player/b4p/b4p_stormt/b4p_stormt.sw.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_stormt/b4p_stormt.vvd")
	es.stringtable('downloadables', "models/player/b4p/b4p_tusken/b4p_tusken.dx80.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_tusken/b4p_tusken.dx90.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_tusken/b4p_tusken.mdl")
	es.stringtable('downloadables', "models/player/b4p/b4p_tusken/b4p_tusken.phy")
	es.stringtable('downloadables', "models/player/b4p/b4p_tusken/b4p_tusken.sw.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_tusken/b4p_tusken.vvd")
	es.stringtable('downloadables', "models/player/b4p/b4p_vader/b4p_vader.dx80.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_vader/b4p_vader.dx90.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_vader/b4p_vader.mdl")
	es.stringtable('downloadables', "models/player/b4p/b4p_vader/b4p_vader.phy")
	es.stringtable('downloadables', "models/player/b4p/b4p_vader/b4p_vader.sw.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_vader/b4p_vader.vvd")
	es.stringtable('downloadables', "models/player/b4p/b4p_yoda/b4p_yoda.dx80.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_yoda/b4p_yoda.dx90.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_yoda/b4p_yoda.mdl")
	es.stringtable('downloadables', "models/player/b4p/b4p_yoda/b4p_yoda.phy")
	es.stringtable('downloadables', "models/player/b4p/b4p_yoda/b4p_yoda.sw.vtx")
	es.stringtable('downloadables', "models/player/b4p/b4p_yoda/b4p_yoda.vvd")